import { PageComponent, StyleSheet, Text } from '@seatalk-rn/sdk-components'
import { NavBarPage } from '@seatalk-rn/sdk-widgets'
import React, { ReactNode } from 'react'
import { ScrollView } from 'react-native'
import { WebView } from 'react-native-webview'

export class WebViewPage extends PageComponent {
    getPageName(): string {
        return 'WebViewPage'
    }

    render(): ReactNode {
        return (
            <NavBarPage title="WebView Test" backButtonType={'back'}>
                <ScrollView style={styles.container}>
                    <Text>This is a WebView Test</Text>
                    <WebView source={{ uri: 'https://seatalk.io/' }} style={{ height: 800 }} scrollEnabled={false} />
                    <Text>It is scrollable!</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                    <Text>WebView Test</Text>
                </ScrollView>
            </NavBarPage>
        )
    }
}

const styles = StyleSheet.create({ container: { flex: 1 } })
